// SomeCtrlsDlg.h : header file
//

#if !defined(AFX_SOMECTRLSDLG_H__66DEECC6_64B9_11D4_B8C4_91F44380915C__INCLUDED_)
#define AFX_SOMECTRLSDLG_H__66DEECC6_64B9_11D4_B8C4_91F44380915C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CSomeCtrlsDlg dialog

#include "StaticLink.h"
#include "StaticLogo.h"
#include "StaticAnim.h"
#include "ToolTipEx.h"
#include "MultiLineEditCtrl.h"
#include "StaticPicture.h"

class CSomeCtrlsDlg : public CDialog
{
public:
	CSomeCtrlsDlg(CWnd* pParent = NULL);	// standard constructor

	//{{AFX_DATA(CSomeCtrlsDlg)
	enum { IDD = IDD_SOMECTRLS_DIALOG };
	CButton	m_Check8;
	CButton	m_Check7;
	CButton	m_Check6;
	CButton	m_Check5;
	CButton	m_Check4;
	CButton	m_Check3;
	CButton	m_Check2;
	CButton	m_Check1;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSomeCtrlsDlg)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CSomeCtrlsDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnCheck1();
	afx_msg void OnCheck2();
	afx_msg void OnCheck3();
	afx_msg void OnCheck4();
	afx_msg void OnCheck5();
	afx_msg void OnCheck6();
	afx_msg void OnCheck7();
	afx_msg void OnCheck8();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	CStaticLink  m_Link1;
	CStaticLink  m_Link2;

	CStaticLogo  m_Logo;

	CStaticAnim  m_Anim1;
	CStaticAnim  m_Anim2;
	CStaticAnim  m_Anim3;
	CStaticAnim  m_Anim4;

	CToolTipEx  tip;
	CMultiLineEditCtrl  m_edit;
	CStaticPicture   m_picture;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SOMECTRLSDLG_H__66DEECC6_64B9_11D4_B8C4_91F44380915C__INCLUDED_)
