// SomeCtrlsDlg.cpp : implementation file
//

#include "stdafx.h"
#include "SomeCtrls.h"
#include "SomeCtrlsDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// No message handlers
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSomeCtrlsDlg dialog

CSomeCtrlsDlg::CSomeCtrlsDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CSomeCtrlsDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CSomeCtrlsDlg)
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CSomeCtrlsDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSomeCtrlsDlg)
	DDX_Control(pDX, IDC_CHECK8, m_Check8);
	DDX_Control(pDX, IDC_CHECK7, m_Check7);
	DDX_Control(pDX, IDC_CHECK6, m_Check6);
	DDX_Control(pDX, IDC_CHECK5, m_Check5);
	DDX_Control(pDX, IDC_CHECK4, m_Check4);
	DDX_Control(pDX, IDC_CHECK3, m_Check3);
	DDX_Control(pDX, IDC_CHECK2, m_Check2);
	DDX_Control(pDX, IDC_CHECK1, m_Check1);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CSomeCtrlsDlg, CDialog)
	//{{AFX_MSG_MAP(CSomeCtrlsDlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDC_CHECK1, OnCheck1)
	ON_BN_CLICKED(IDC_CHECK2, OnCheck2)
	ON_BN_CLICKED(IDC_CHECK3, OnCheck3)
	ON_BN_CLICKED(IDC_CHECK4, OnCheck4)
	ON_BN_CLICKED(IDC_CHECK5, OnCheck5)
	ON_BN_CLICKED(IDC_CHECK6, OnCheck6)
	ON_BN_CLICKED(IDC_CHECK7, OnCheck7)
	ON_BN_CLICKED(IDC_CHECK8, OnCheck8)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSomeCtrlsDlg message handlers

BOOL CSomeCtrlsDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	// TODO: Add extra initialization here
	///////////////////////////////////////

	//Here features of context menu and Navigation on click are available
	m_Anim1.SubclassDlgItem( IDC_ANIM1, this, _T("http://www.yahoo.com"),TRUE);
	m_Anim1.SetBitmap( IDB_BITMAP1, 22, 22);
	
	m_Anim2.SubclassDlgItem( IDC_ANIM2, this);
	m_Anim2.SetBitmap( IDB_BITMAP2, 38, 38);
	m_Anim3.SubclassDlgItem( IDC_ANIM3, this);
	m_Anim3.SetBitmap( IDB_BITMAP3, 26, 26);
	m_Anim4.SubclassDlgItem( IDC_ANIM4, this);
	m_Anim4.SetBitmap( IDB_BITMAP4, 22, 20);

	CStaticLink::SetTipID(ID_WINDOW_TIP);
	m_Logo.SubclassDlgItem( IDC_LOGO, this, _T("Some Subclassed Ctrls (Logo Ctrl)"));
	m_Link1.SubclassDlgItem( IDC_LINK1, this, _T("Amir Israeli Homepage"), _T("http://amir-israeli.tripod.com/default.htm"));
	m_Link2.SubclassDlgItem( IDC_LINK2, this, _T("Amir Israeli Email"), _T("mailto:israelaq@walla.co.il"));
	
//	m_Link1.EnableWindowTip(0); // Enable or disable tips of links
//	m_Link2.EnableWindowTip(1); // default behaveiour = Enabled
	
	m_edit.SubclassDlgItem( IDC_EDIT1, this);
	m_edit.LoadFromResource(IDS_DATA);

	if (m_picture.SubclassDlgItem( IDC_OLEPICTURE, this)) {
		m_picture.LoadFromResource( IDR_JPEG1);
	}

	// TRUE means tracking tooltips FALSE= regular tips
	if (tip.Create( this, TRUE)){ //  )) {//      
		tip.AddTool( GetDlgItem(IDC_CHECK1), _T("IDC_CHECK1"));
		tip.AddTool( GetDlgItem(IDC_CHECK2), _T("IDC_CHECK2"));
		tip.AddTool( GetDlgItem(IDC_CHECK3), _T("IDC_CHECK3"));
		tip.AddTool( GetDlgItem(IDC_CHECK4), _T("IDC_CHECK4"));
		tip.AddTool( GetDlgItem(IDC_CHECK5), _T("IDC_CHECK5"));
		tip.AddTool( GetDlgItem(IDC_CHECK6), _T("IDC_CHECK6"));
		tip.AddTool( GetDlgItem(IDC_CHECK7), _T("IDC_CHECK7"));
		tip.AddTool( GetDlgItem(IDC_CHECK8), _T("IDC_CHECK8"));
		tip.AddTool( GetDlgItem(IDC_LOGO), _T("CStaticLogo"));
		tip.AddTool( GetDlgItem(IDC_OLEPICTURE), _T("This is a Jpeg image\nLoaded from resource"));

		tip.AddTool( GetDlgItem(IDC_ANIM1), _T("Navigation is available\nClick right 2 Yahoo!"));
		tip.AddTool( GetDlgItem(IDC_ANIM2), _T("IDC_ANIM2"));
		tip.AddTool( GetDlgItem(IDC_ANIM3), _T("IDC_ANIM3"));
		tip.AddTool( GetDlgItem(IDC_ANIM4), _T("IDC_ANIM4"));

//		tip.AddTool( GetDlgItem(IDC_OLEPICTURE), _T("CStaticPicture - Top"), CRect(0,0,100,50));
//		tip.AddTool( GetDlgItem(IDC_OLEPICTURE), _T("CStaticPicture - Bottom"), CRect(0,50,100,150));
//		tip.AddTool( GetDlgItem(IDC_OLEPICTURE), _T("CStaticPicture - Top"), "0","0","0","50");
//		tip.AddTool( GetDlgItem(IDC_OLEPICTURE), _T("CStaticPicture - Bottom"), "0","50","0","100" );
	}

	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CSomeCtrlsDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CSomeCtrlsDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CSomeCtrlsDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

void CSomeCtrlsDlg::OnCheck1() 
{
	BOOL bChecked = m_Check1.GetCheck();
	(bChecked) ?  m_Anim1.Play() : m_Anim1.Pause();
}

void CSomeCtrlsDlg::OnCheck2() 
{
	BOOL bChecked = m_Check2.GetCheck();
	(bChecked) ?  m_Anim2.Play() : m_Anim2.Pause();
}

void CSomeCtrlsDlg::OnCheck3() 
{
	BOOL bChecked = m_Check3.GetCheck();
	(bChecked) ?  m_Anim3.Play() : m_Anim3.Pause();
}

void CSomeCtrlsDlg::OnCheck4() 
{
	BOOL bChecked = m_Check4.GetCheck();
	(bChecked) ?  m_Anim4.Play() : m_Anim4.Pause();
}

////////////////////////////////
void CSomeCtrlsDlg::OnCheck5() 
{
	m_Anim1.EnableContextMenu(m_Check5.GetCheck());
}

void CSomeCtrlsDlg::OnCheck6() 
{
	m_Anim2.EnableContextMenu(m_Check6.GetCheck());
}

void CSomeCtrlsDlg::OnCheck7() 
{
	m_Anim3.EnableContextMenu(m_Check7.GetCheck());
}

void CSomeCtrlsDlg::OnCheck8() 
{
	m_Anim4.EnableContextMenu(m_Check8.GetCheck());
}


BOOL CSomeCtrlsDlg::PreTranslateMessage(MSG* pMsg) 
{
	tip.RelayEvent(pMsg);
	
	return CDialog::PreTranslateMessage(pMsg);
}
