// StaticPicture.cpp : implementation file
//

#include "stdafx.h"
#include "StaticPicture.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CStaticPicture

CStaticPicture::CStaticPicture()
{
}

CStaticPicture::~CStaticPicture()
{
}

DWORD CStaticPicture::dwStyle = WS_CHILD|WS_VISIBLE|SS_NOTIFY;
DWORD CStaticPicture::dwExStyle = WS_EX_CLIENTEDGE;


BEGIN_MESSAGE_MAP(CStaticPicture, CStatic)
	//{{AFX_MSG_MAP(CStaticPicture)
	ON_WM_CREATE()
	ON_WM_PAINT()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CStaticPicture message handlers

void CStaticPicture::PreSubclassWindow() 
{
	ModifyStyle( 0, dwStyle, 0);
	ModifyStyleEx( 0, dwExStyle, 0);
	CStatic::PreSubclassWindow();
}

BOOL CStaticPicture::SubclassDlgItem( UINT nID, CWnd* pParent)
{
	if (CStatic::SubclassDlgItem(nID, pParent)) {
		mgr.SetWindow(this);
		return TRUE;
	}
	return FALSE;
}
BOOL CStaticPicture::PreCreateWindow(CREATESTRUCT& cs) 
{
	cs.style = dwStyle;
	cs.dwExStyle = dwExStyle;
	return CStatic::PreCreateWindow(cs);
}
int CStaticPicture::OnCreate(LPCREATESTRUCT lpCreateStruct) 
{
	if (CStatic::OnCreate(lpCreateStruct) == -1)
		return -1;
	mgr.SetWindow(this);
	return 0;
}

void CStaticPicture::OnPaint() 
{
	CPaintDC dc(this); // device context for painting
	mgr.OnPaint(&dc);
}
